CF_STRIPCHART(3)

FUNCTION
cf_stripchart - Compute a rainbow colourmap.

SYNOPSIS
#include <karma_cf.h>

void cf_stripchart

(unsigned int num_cells, unsigned short *reds, unsigned short *greens, unsigned short *blues, unsigned int stride, double x, double y, void *chart)

DESCRIPTION
This routine will compute a colourmap using the Glynn Rogers curvature function and a strip chart.

num_cells
    The number of colour cells to modify.

reds
    The red intensity values. This may be NULL.

greens
    The green intensity values. This may be NULL.

blues
    The blue intensity values. This may be NULL.

stride
    The stride (in unsigned shorts) between intensity values.

x   A parameter used to compute the colour values, ranging from 0.0 to 1.0. This changes the curvature of the ramping function.

y   A parameter used to compute the colour values, ranging from 0.0 to 1.0. This changes the curvature of the ramping function.

chart
    A pointer to a stripchart of type <<stripchart>>. The following values are used to determine the shape of the graph: 0 : graph is at zero for this interval 99 : graph is at maximum 1 : graph ramps up from zero to max using Glynn Rogers function -1 : graph ramps down from max to zero using Glynn Rogers function 2 (-2) : graph ramps up (down) using the sine of Glynn Rogers function

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/